Index: conf/LINUX64.def
===================================================================
--- conf/LINUX64.def.orig
+++ conf/LINUX64.def
@@ -21,8 +21,8 @@
 #
 ARCHCFLAGS	=	-DSYSVSIGNAL -DNOWAIT3 -DRSHCOMMAND=\"/usr/bin/rsh\" \
 				-DNEEDENDIAN -DFDSETNOTSTRUCT -DHASERRORVARS \
-				-DHASSTDLIB -DCTIMEISTIMET -DSYSERRISCONST -DNOTMPNAM \
-                                -DHASREADLINE 
+				-DHASSTDLIB -DSYSVSTR -DCTIMEISTIMET -DSYSERRISCONST -DNOTMPNAM \
+                                -DHASREADLINE $(OPT_FLAGS)
 ARCHDLIB	=
 ARCHDOBJ	=
 ARCHLIB		=       -lreadline -lncurses
Index: pvmgs/pvmgsu_aux.c
===================================================================
--- pvmgs/pvmgsu_aux.c.orig
+++ pvmgs/pvmgsu_aux.c
@@ -52,6 +52,7 @@
 #include "pvmmimd.h"
 #include "pvmgsd.h"
 #include "pvmproto.h"
+#include <strings.h>
 
 extern int pvm_errno;
 extern int pvmmytid;
Index: libfpvm/pvmfperror.m4
===================================================================
--- libfpvm/pvmfperror.m4.orig
+++ libfpvm/pvmfperror.m4
@@ -2,6 +2,8 @@
 /* $Id: pvmfperror.m4,v 1.2 1996/10/04 15:27:26 pvmsrc Exp $ */
 
 #include <stdio.h>
+#include <stdlib.h>
+#include <string.h>
 #include "pvm3.h"
 #include "pvm_consts.h"
 
@@ -14,7 +16,6 @@
 {
 	static char *buf = 0;
 	static int buflen = 0;
-	char *malloc();
 
 	/*
 	 * Have to have a NUL at the end of the string, and
Index: libfpvm/pvmfstartpvmd.m4
===================================================================
--- libfpvm/pvmfstartpvmd.m4.orig
+++ libfpvm/pvmfstartpvmd.m4
@@ -15,6 +15,7 @@
  */
 
 #include <stdio.h>
+#include <string.h>
 #include "pvm3.h"
 #include "pvm_consts.h"
 #include "pvmalloc.h"
Index: src/hoster.c
===================================================================
--- src/hoster.c.orig
+++ src/hoster.c
@@ -240,6 +240,7 @@
 #include <stdio.h>
 #include <errno.h>
 #include <ctype.h>
+#include <unistd.h>
 #ifdef	SYSVSTR
 #include <string.h>
 #define	CINDEX(s,c)	strchr(s,c)
Index: src/pvmd.c
===================================================================
--- src/pvmd.c.orig
+++ src/pvmd.c
@@ -706,9 +706,7 @@
 #ifndef NOUNIXDOM
 #include <sys/un.h>
 #endif
-#ifdef IMA_LINUXALPHA
 #include <unistd.h>
-#endif
 #include <fcntl.h>
 #include <errno.h>
 #include <signal.h>
Index: src/pvmerr.c
===================================================================
--- src/pvmerr.c.orig
+++ src/pvmerr.c
@@ -73,6 +73,7 @@
  */
 
 #include <stdio.h>
+#include <string.h>
 #include <pvm3.h>
 #include "lpvm.h"
 #include "global.h"
Index: src/tdpro.c
===================================================================
--- src/tdpro.c.orig
+++ src/tdpro.c
@@ -312,6 +312,7 @@
 #include <strings.h>
 #endif
 #include <errno.h>
+#include <unistd.h>
 
 #include <pvmproto.h>
 #include "pvmalloc.h"
Index: src/ddpro.c
===================================================================
--- src/ddpro.c.orig
+++ src/ddpro.c
@@ -419,6 +419,7 @@
 
 #include <errno.h>
 #include <stdio.h>
+#include <unistd.h>
 
 #include <pvm3.h>
 #include <pvmproto.h>
Index: src/lpvm.c
===================================================================
--- src/lpvm.c.orig
+++ src/lpvm.c
@@ -609,6 +609,7 @@
 #endif
 #include <errno.h>
 #include <signal.h>
+#include <unistd.h>
 
 #ifdef IMA_BEOLIN
 #include <netdb.h>
Index: pvmgs/pvm_gstat.c
===================================================================
--- pvmgs/pvm_gstat.c.orig
+++ pvmgs/pvm_gstat.c
@@ -107,5 +107,5 @@
                 fputs("\n", stdout);
             }
         }
-	pvm_exit();
+	return pvm_exit();
 }
Index: pvmgs/pvmgroups.c
===================================================================
--- pvmgs/pvmgroups.c.orig
+++ pvmgs/pvmgroups.c
@@ -34,7 +34,7 @@
 #include "pvmgsd.h"
 #include "pvmproto.h"
 
-main()
+int main()
 {
 	int gstid;
 	pvm_mytid();
@@ -43,5 +43,6 @@
 	pvm_setcontext( SYSCTX_DG );
 	pvm_initsend(PvmDataDefault);
 	pvm_send(gstid, DUMP);
+	return 0;
 }
 
Index: tracer/tracer.c
===================================================================
--- tracer/tracer.c.orig
+++ tracer/tracer.c
@@ -40,7 +40,7 @@
 #else
 #include <strings.h>
 #endif
-
+#include <unistd.h>
 #include <signal.h>
 
 /* Event Receiving Loop Limit */
@@ -100,6 +100,7 @@
 	/* Do Tracer-like Stuff */
 
 	work();
+	return 0;
 }
 
 
Index: tracer/trcutil.c
===================================================================
--- tracer/trcutil.c.orig
+++ tracer/trcutil.c
@@ -36,6 +36,8 @@
 #else
 #include <strings.h>
 #endif
+#include <netdb.h>
+#include <unistd.h>
 
 #ifdef CTIMEISTIMET
 #define PVM_TIMET time_t
Index: console/cmds.c
===================================================================
--- console/cmds.c.orig
+++ console/cmds.c
@@ -299,6 +299,8 @@
 #endif
 #include <ctype.h>
 #include <signal.h>
+#include <netdb.h>
+#include <unistd.h>
 #include <sys/stat.h>
 #include <pvm3.h>
 #include <pvmtev.h>
